/* BdfServer_API - Copyright (c) 2009-2025 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.bdfserver.api.ficheform.field;

import fr.exemole.bdfserver.api.ficheform.FormEntry;
import net.fichotheque.SubsetKey;


/**
 *
 * @author Vincent Calame
 */
public interface ItemFieldEntry extends FormEntry.Field {

    /**
     * Non nul mais peut être de longueur nulle.
     */
    public String getValue();

    public boolean isRedimAllowed();

    public int getRows();

    /**
     * Doit avoir les valeurs possibles de InputUiOption
     */
    public String getWidthType();

    public SubsetKey getSphereKey();

}
